org.springframework.data.relational.core.sql

## Enum Join.JoinType

- java.lang.Object
- - java.lang.Enum<Join.JoinType>
  - - org.springframework.data.relational.core.sql.Join.JoinType

All Implemented Interfaces:
  Serializable, Comparable<Join.JoinType>

Enclosing class:
  Join

    public static enum Join.JoinType
    extends Enum<Join.JoinType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CROSS_JOIN` `CROSS JOIN` for two tables.
`FULL_OUTER_JOIN` `FULL OUTER JOIN` two tables.
`JOIN` `INNER JOIN` for two tables.
`LEFT_OUTER_JOIN` `LEFT OUTER JOIN` two tables.
`RIGHT_OUTER_JOIN` `RIGHT OUTER JOIN` two tables.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getSql()`
`static Join.JoinType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Join.JoinType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JOIN

    public static final Join.JoinType JOIN

`INNER JOIN` for two tables.

#### CROSS_JOIN

    public static final Join.JoinType CROSS_JOIN

`CROSS JOIN` for two tables.

#### LEFT_OUTER_JOIN

    public static final Join.JoinType LEFT_OUTER_JOIN

`LEFT OUTER JOIN` two tables.

#### RIGHT_OUTER_JOIN

    public static final Join.JoinType RIGHT_OUTER_JOIN

`RIGHT OUTER JOIN` two tables.

#### FULL_OUTER_JOIN

    public static final Join.JoinType FULL_OUTER_JOIN

`FULL OUTER JOIN` two tables.

### Method Detail

#### values

    public static Join.JoinType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Join.JoinType c : Join.JoinType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Join.JoinType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSql

    public String getSql()